summaryrefslogtreecommitdiff
path: root/scripts/gui/shot
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/gui/shot')
-rwxr-xr-xscripts/gui/shot4
1 files changed, 3 insertions, 1 deletions
diff --git a/scripts/gui/shot b/scripts/gui/shot
index e24e551..e7d2d08 100755
--- a/scripts/gui/shot
+++ b/scripts/gui/shot
@@ -52,7 +52,9 @@ fi
if [ "${mode}" = "select" ]; then
run --no-exit --reload-compositor \
- "screenshot_handle ${mode} ${outfile}" && echo "${outfile}"
+ screenshot_handle "${mode}" "${outfile}"
+
+ [ $? -eq 0 ] && echo "${outfile}"
else
screenshot_handle "${mode}" "${outfile}" && echo "${outfile}"
fi